package org.yawlfoundation.yawl.resourcing.codelets;

import hyperjax.test.Helper;

import java.util.List;

import org.jdom.Element;
import org.jdom.output.DOMOutputter;
import org.jdom.output.XMLOutputter;
import org.yawlfoundation.yawl.elements.data.YParameter;

public class HyperJAXBCodelet extends AbstractCodelet {

	public HyperJAXBCodelet(){
		super();
		setDescription("This is a HYperJAXB test codelet");
	}

	@Override
	public Element execute(Element inData, List<YParameter> inParams,
			List<YParameter> outParams) throws CodeletExecutionException {
		
		super.setInputs(inData, inParams, outParams);
		
		//String m = (String) getParameterValue("logmessage");
		
		Element order = inData.getChild("purchaseOrder");
		
		Helper h = new Helper();
	    
		XMLOutputter xml = new XMLOutputter();		
		
		try {
			h.start(xml.outputString(order));
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return getOutputData();
	}

}
